/*\
|*| --------------------------------------------------------------------------
|*|	Herkules HGC register definitions
|*| --------------------------------------------------------------------------
|*|
|*|	Copyright (C) 1996, The GGI project.
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; either version 2, or (at your option)
|*|	any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*|
|*| ---------------------------------------------------------------------------
|*|	MAINTAINER	"Steffen Seeger, [seeger@physik.tu-chemnitz.de]
\*/

#ifndef	_GGI_HERCULES_HGC_H
#define	_GGI_HERCULES_HGC_H

#include "IBM/mda.h"

#undef	MDA_IOBASE
#undef	MDA_IOSIZE
#undef	MDA_FBBASE
#undef	MDA_FBSIZE

#define	HGC_IOBASE	0x3B0
#define	HGC_IOSIZE	0x10
#define	HGC_FBBASE	0x000B0000
#define	HGC_FBSIZE	0x10000

#define CONFm	0x3BF
	#define	CONF_ENB_GRAPH	0x01
	#define	CONF_ENB_BANK1	0x02

/*\
|*|	additional bits in the status/control register
\*/

	#define	CTRL_ENB_GRAPHICS	0x02
	#define	CTRL_DISPLAY_BANK0	0x00
	#define	CTRL_DISPLAY_BANK1	0x80

	#define	STAT_VSYNC		0x80


#endif	/* _GGI_HERCULES_HGC_H */
